package com.yonge.cooleshow.biz.dal.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

/**
 * 周期
 */
public enum PeriodEnum implements BaseEnum<String, PeriodEnum> {
	DAY("日"),
	MONTH("月"),
	QUARTERLY("季度"),
	YEAR_HALF("半年"),
	YEAR("年");

	@EnumValue
	private String code;
	private String msg;

	PeriodEnum(String msg) {
		this.code = this.name();
		this.msg = msg;
	}

	public String getMsg() {
		return this.msg;
	}

	@Override
	public String getCode() {
		return this.code;
	}
}
